import type { BuilderContextInterface, BuilderRenderContext, BuilderRenderState } from '../context/types.js';
export declare const isNode: () => boolean;
export declare function evaluate({ code, context, localState, rootState, rootSetState, event, isExpression }: {
    code: string;
    event?: Event;
    isExpression?: boolean;
} & Pick<BuilderContextInterface, 'localState' | 'context' | 'rootState' | 'rootSetState'>): any;
type ExecutorArgs = {
    useCode: string;
    builder: {
        isEditing: boolean | undefined;
        isBrowser: boolean | undefined;
        isServer: boolean | undefined;
    };
    state: BuilderRenderState;
    context: BuilderRenderContext;
    event: Event | undefined;
};
export declare const runInBrowser: ({ useCode, builder, state, context, event }: ExecutorArgs) => any;
export declare const runInNonNode: ({ useCode, builder, state, context, event }: ExecutorArgs) => void;
export declare const runInNode: (args: ExecutorArgs) => any;
export declare function flattenState(rootState: Record<string | symbol, any>, localState: Record<string | symbol, any> | undefined, rootSetState: ((rootState: BuilderRenderState) => void) | undefined): BuilderRenderState;
export {};
